"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var is_acyclic_graph_1 = require("./is-acyclic-graph");
var cyclicGraphs = [
    [
        {
            sourceId: 'a',
            targetId: 'b'
        },
        {
            sourceId: 'b',
            targetId: 'c'
        },
        {
            sourceId: 'c',
            targetId: 'a'
        }
    ],
    [
        {
            sourceId: 'a',
            targetId: 'b'
        },
        {
            sourceId: 'b',
            targetId: 'a'
        }
    ]
];
var acyclicGraphs = [
    [
        {
            sourceId: 'a',
            targetId: 'b'
        },
        {
            sourceId: 'b',
            targetId: 'c'
        },
        {
            sourceId: 'b',
            targetId: 'e'
        },
        {
            sourceId: 'c',
            targetId: 'd'
        },
        {
            sourceId: 'e',
            targetId: 'd'
        }
    ],
    [
        {
            sourceId: 'a',
            targetId: 'b'
        },
        {
            sourceId: 'd',
            targetId: 'f'
        },
        {
            sourceId: 'm',
            targetId: 'k'
        }
    ]
];
describe('isAcyclicGraph', function () {
    it('should detect a cycle in a graph', function () {
        cyclicGraphs.forEach(function (g) { return expect(is_acyclic_graph_1.isAcyclicGraph(g)).toBeFalsy(); });
    });
    it('should detect acycle graphs', function () {
        acyclicGraphs.forEach(function (g) { return expect(is_acyclic_graph_1.isAcyclicGraph(g)).toBeTruthy(); });
    });
});
