import { GraphNode, GraphLink } from './types';
export declare class NestedGraph {
    private nodesMap;
    private links;
    constructor(nodes?: GraphNode[], links?: GraphLink[]);
    setNodes(nodes: GraphNode[]): void;
    updateNode(nodeId: string, node: GraphNode): void;
    setLinks(links: GraphLink[]): void;
    findNode(nodeId: string): GraphNode | undefined;
    getAllNodes(): GraphNode[];
    getAllLinks(): GraphLink[];
    isAncestor(nodeId: string, candidateNodeId: string): boolean;
    findRootNode(nodeId: string): GraphNode | undefined;
    getAllNodesInSubGraph(rootNodeId: string): GraphNode[];
    getAllNodesFromOtherSubTrees(nodeId: string): GraphNode[];
}
